#ifndef ExRootTreeBranch_h
#define ExRootTreeBranch_h

/** \class ExRootTreeBranch
 *
 *  Class handling output ROOT tree branch
 *
 *  $Date: 2008-11-04 10:32:26 $
 *  $Revision: 1.1 $
 *
 *
 *  \author S. Ovyn - UCL, Louvain-la-Neuve
 *
 */

#include "Rtypes.h"
#include "TString.h"

class TTree;
class TClonesArray;

class ExRootTreeBranch
{
public:

  class MemoryAllocationExeption{};
  
  ExRootTreeBranch(const TString &name, TClass *cl, TTree *tree);
  ~ExRootTreeBranch();

  TObject *NewEntry();
  void Clear();

private:

  Int_t fSize, fCapacity;
  TClonesArray *fData;  
};

#endif /* ExRootTreeBranch */

