#ifndef _FROG_BaseColl_Name_H__
#define _FROG_BaseColl_Name_H__

#include "BaseColl_Id.h"

namespace FROG{

class BaseColl_Name : public BaseColl_Id {
public :
	virtual unsigned int chunkId(){ return 3000;}
	virtual bool        isCompactible(){ return false; }

	BaseColl_Name(){}
	BaseColl_Name(unsigned int detId, const char* name, ...) : 
	BaseColl_Id(detId){
		char FullName[512];
		va_list args;
		va_start(args,name);
		vsprintf(FullName,name,args);
		va_end(args);
		NameLength_ = strlen(FullName);
		Name_ = new char[NameLength_+1];		
		sprintf(Name_,"%s",FullName);
	}
	~BaseColl_Name() {delete [] Name_;}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn = ByteBuffer(6 + NameLength_);		
		toReturn.putUInt(detId_);
		toReturn.putUShort((unsigned short)NameLength_);
		for(int c=0;c<NameLength_;c++)toReturn.putByte(Name_[c]);
		return toReturn;
	}
};

}//FROG Namespace
#endif

