#ifndef _FROG_CMS_Geom_Calo_H__
#define _FROG_CMS_Geom_Calo_H__

#include "BaseColl_Id.h"

namespace FROG{

class CMS_Geom_Calo : public BaseColl_Id {
public :
	float ProjFactor;
	float PosX;    float PosY;    float PosZ;					
	float WX;	   float WY;      float WZ;
	float HX;	   float HY;      float HZ;		
	
	virtual unsigned int chunkId(){ return 11999;}
	virtual bool isCompactible(){ return true; }

	CMS_Geom_Calo(){}
	CMS_Geom_Calo(unsigned int detId, float projFactor,
	float posX,		float posY,		float posZ,
	float wX,		float wY,		float wZ,
	float hX,		float hY,		float hZ) :
	BaseColl_Id(detId),
	ProjFactor(projFactor),
	PosX(posX),		PosY(posY),		PosZ(posZ),
	WX(wX),			WY(wY),			WZ(wZ),
	HX(hX),			HY(hY),			HZ(hZ){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(44);
		toReturn.putUInt(detId_);
		toReturn.putFloat(ProjFactor);
		toReturn.putFloat(PosX);
		toReturn.putFloat(PosY);
		toReturn.putFloat(PosZ);
		toReturn.putFloat(WX);
		toReturn.putFloat(WY);
		toReturn.putFloat(WZ);
		toReturn.putFloat(HX);
		toReturn.putFloat(HY);
		toReturn.putFloat(HZ);
		return toReturn;	
	}
};

}//FROG Namespace
#endif
