#ifndef _FROG_CMS_Geom_Tracking_H__
#define _FROG_CMS_Geom_Tracking_H__

#include "BaseColl_Id.h"

namespace FROG{

class CMS_Geom_Tracking : public BaseColl_Id {
public :
	float TrapezoidalParam;
	float PosX;    float PosY;    float PosZ;
	float WidthX;  float WidthY;  float WidthZ;
	float LengthX; float LengthY; float LengthZ;
	float ThickX;  float ThickY;  float ThickZ;

	virtual unsigned int chunkId(){ return 21100;}
	virtual bool isCompactible(){ return true; }

	CMS_Geom_Tracking(){};
	CMS_Geom_Tracking(unsigned int detId, float trapezoidalParam,
	float posX,    float posY,    float posZ,
	float widthX,  float widthY,  float widthZ,
	float lengthX, float lengthY, float lengthZ,
	float thickX,  float thickY,  float thickZ) : 
	BaseColl_Id(detId),
	TrapezoidalParam(trapezoidalParam),
	PosX(posX), PosY(posY), PosZ(posZ),
	WidthX(widthX), WidthY(widthY), WidthZ(widthZ),
	LengthX(lengthX), LengthY(lengthY), LengthZ(lengthZ),
	ThickX(thickX),  ThickY(thickY), ThickZ(thickZ){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(56);
		toReturn.putUInt(detId_);
		toReturn.putFloat(TrapezoidalParam);
		toReturn.putFloat(PosX);
		toReturn.putFloat(PosY);
		toReturn.putFloat(PosZ);
		toReturn.putFloat(WidthX);
		toReturn.putFloat(WidthY);
		toReturn.putFloat(WidthZ);
		toReturn.putFloat(LengthX);
		toReturn.putFloat(LengthY);
		toReturn.putFloat(LengthZ);
		toReturn.putFloat(ThickX);
		toReturn.putFloat(ThickY);
		toReturn.putFloat(ThickZ);
		return toReturn;	
	}
};

}//FROG Namespace
#endif

