#ifndef _FROG_EVENT_BEAM_H__
#define _FROG_EVENT_BEAM_H__

#include "BaseColl_Id.h"

namespace FROG{

class Event_Beam : public BaseColl_Id {
public :
    float x;      float y;      float z; 
	float px;     float py;     float pz;
	float sigmax; float sigmay; float sigmaz;
	unsigned int N;
	
	virtual unsigned int chunkId(){ return 19001;}
    virtual bool isCompactible(){ return true; }

	Event_Beam(){}
    Event_Beam( unsigned int DetId,
    float x_,      float y_,      float z_,
	float px_,     float py_,     float pz_,
	float sigmax_, float sigmay_, float sigmaz_,
	unsigned int N_):	
    BaseColl_Id(DetId),
    x(x_),y(y_),z(z_),
	px(px_),py(py_),pz(pz_),
	sigmax(sigmax_),sigmay(sigmay_),sigmaz(sigmaz_),
	N(N_){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(44);
		toReturn.putUInt(detId_);
		toReturn.putFloat(x);
		toReturn.putFloat(y);
		toReturn.putFloat(z);
		toReturn.putFloat(px);
		toReturn.putFloat(py);
		toReturn.putFloat(pz);
		toReturn.putFloat(sigmax);
		toReturn.putFloat(sigmay);
		toReturn.putFloat(sigmaz);
		toReturn.putUInt(N);
		return toReturn;	
	}
};

}//FROG Namespace
#endif
