#ifndef _FROG_EVENT_JET_H__
#define _FROG_EVENT_JET_H__

#include "Base.h"

namespace FROG{

class Event_Jet : public Base {
public :
	float P_; float Eta_; float Phi_; 
	unsigned int              Components_CollEvtId_;
	std::vector<unsigned int> Components_Vector_;

	virtual unsigned int chunkId(){ return 13100;}
	virtual bool isCompactible(){ return false; }

	Event_Jet(){}
	Event_Jet(float P, float Eta, float Phi):
	P_(P), Eta_(Eta),Phi_(Phi){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(16+Components_Vector_.size()*4);
		toReturn.putFloat(P_);
		toReturn.putFloat(Eta_);
		toReturn.putFloat(Phi_);
		if(Components_Vector_.size()>0){
			toReturn.putUInt(Components_CollEvtId_);
			for(unsigned int i=0;i<Components_Vector_.size();i++){
				toReturn.putUInt(Components_Vector_[i]);
			}
		}
		return toReturn;	
	}
};

}//FROG Namespace
#endif

