#ifndef _FROG_EVENT_PHOTON_H__
#define _FROG_EVENT_PHOTON_H__

#include "Base.h"

namespace FROG{

class Event_Photon : public Base {
public :
       float p_, eta_, phi_, vx_, vy_, vz_, cx_, cy_, cz_;
	unsigned int		  Components_CollEvtId_;
	std::vector<unsigned int> Components_Vector_;
	
	virtual unsigned int chunkId(){ return 16100;}
    virtual bool isCompactible(){ return false; }

	Event_Photon(){}
    Event_Photon(float p, float eta, float phi, float vx, float vy, float vz, float cx, float cy, float cz):
	p_(p),eta_(eta), phi_(phi), vx_(vx), vy_(vy), vz_(vz), cx_(cx), cy_(cy), cz_(cz){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(40+4*Components_Vector_.size());
		toReturn.putFloat(p_);
		toReturn.putFloat(eta_);
		toReturn.putFloat(phi_);
		toReturn.putFloat(vx_);
		toReturn.putFloat(vy_);
		toReturn.putFloat(vz_);
		toReturn.putFloat(cx_);
		toReturn.putFloat(cy_);
		toReturn.putFloat(cz_);
		if(Components_Vector_.size()>0){
			toReturn.putUInt(Components_CollEvtId_);
			for(unsigned int i=0;i<Components_Vector_.size();i++){
				toReturn.putUInt(Components_Vector_[i]);
			}
		}
		return toReturn;	
	}
};

}//FROG Namespace
#endif
