//Code created by Maciej Zbigniew Besta
//For the TOTEM Collaboration
//Email: maciej.zbigniew.besta@cern.ch

#ifndef _FROG_EVENT_SINGLESTRIP_H__
#define _FROG_EVENT_SINGLESTRIP_H__

#include "Base.h"

namespace FROG{

class Event_SingleStrip : public BaseColl_Id {
public :
    float x1;  float y1;  float z1;
    float x2;  float y2;  float z2;
	BaseColl_Id* det;			

	virtual unsigned int chunkId(){ return 11100;}
    virtual bool isCompactible(){ return true; }

	Event_SingleStrip(){}
    Event_SingleStrip( unsigned int DetId,
    float x1_, float y1_, float z1_, float x2_, float y2_, float z2_):
    BaseColl_Id(DetId),
		x1(x1_),y1(y1_),z1(z1_),x2(x2_), y2(y2_), z2(z2_){}


	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(28);
		toReturn.putUInt(detId_);
		toReturn.putFloat(x1);
		toReturn.putFloat(y1);
		toReturn.putFloat(z1);
		toReturn.putFloat(x2);
		toReturn.putFloat(y2);
		toReturn.putFloat(z2);
		return toReturn;	
	}
};

}//FROG Namespace
#endif
