#ifndef _FROG_Prim_CUSTOMSURFACE_H__
#define _FROG_Prim_CUSTOMSURFACE_H__

#include "Base.h"

namespace FROG{

class Prim_CustomSurface : public BaseColl_Id {
public :	
	float P1X;    float P1Y;  float P1Z;
	float P2X;    float P2Y;  float P2Z;	
	float P3X;    float P3Y;  float P3Z;
	float P4X;    float P4Y;  float P4Z;	
	
	virtual unsigned int chunkId(){ return 42010;}
	virtual bool isCompactible(){ return true; }

	Prim_CustomSurface(){}
	Prim_CustomSurface(
	unsigned int detId,			  
	float p1X,    float p1Y,    float p1Z,
	float p2X,	  float p2Y,    float p2Z,
	float p3X,    float p3Y,    float p3Z,
	float p4X,	  float p4Y,    float p4Z):
	BaseColl_Id(detId),
	P1X(p1X),			P1Y(p1Y),			P1Z(p1Z),
	P2X(p2X),			P2Y(p2Y),			P2Z(p2Z),
	P3X(p3X),			P3Y(p3Y),			P3Z(p3Z),
	P4X(p4X),			P4Y(p4Y),			P4Z(p4Z){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(52);
		toReturn.putUInt(detId_);
		toReturn.putFloat(P1X);
		toReturn.putFloat(P1Y);
		toReturn.putFloat(P1Z);
		toReturn.putFloat(P2X);
		toReturn.putFloat(P2Y);
		toReturn.putFloat(P2Z);
		toReturn.putFloat(P3X);
		toReturn.putFloat(P3Y);
		toReturn.putFloat(P3Z);
		toReturn.putFloat(P4X);
		toReturn.putFloat(P4Y);
		toReturn.putFloat(P4Z);
		return toReturn;	
	}
};

}//FROG Namespace
#endif
