#ifndef _FROG_Prim_CYLINDER_H__
#define _FROG_Prim_CYLINDER_H__

#include "Base.h"

namespace FROG{

class Prim_Cylinder : public BaseColl_Id {
public :
	float Radius;		 
	float PosX;			float PosY;    float PosZ;	
	float LengthX;		float LengthY; float LengthZ;
	unsigned short NPhi;unsigned char Endcap; 
	
	virtual unsigned int chunkId(){ return 41040;}
	virtual bool isCompactible(){ return true; }

	Prim_Cylinder(){}
	Prim_Cylinder(
	unsigned int detId,	float radius,
	float posX,			float posY,    float posZ,
	float lengthX,		float lengthY, float lengthZ,
	unsigned short nPhi=10, unsigned char endcap=0) :
	BaseColl_Id(detId),	
	Radius(radius),
	PosX(posX),			PosY(posY),			PosZ(posZ),
	LengthX(lengthX),	LengthY(lengthY),	LengthZ(lengthZ),
	NPhi(nPhi), Endcap(endcap){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(36);
		toReturn.putUInt(detId_);
		toReturn.putFloat(Radius);
		toReturn.putFloat(PosX);
		toReturn.putFloat(PosY);
		toReturn.putFloat(PosZ);
		toReturn.putFloat(LengthX);
		toReturn.putFloat(LengthY);
		toReturn.putFloat(LengthZ);
		toReturn.putUShort(NPhi);
		toReturn.putByte(Endcap);
		return toReturn;	
	}
};

}//FROG Namespace
#endif
