#ifndef _FROG_Prim_DISC_H__
#define _FROG_Prim_DISC_H__

#include "Base.h"

namespace FROG{

class Prim_Disc : public BaseColl_Id {
public :
	float Radius;
	float PosX;    float PosY;  float PosZ;					
	float DirX;	   float DirY;	float DirZ;	
	unsigned short NPhi;
	
	virtual unsigned int chunkId(){ return 42030;}
	virtual bool isCompactible(){ return true; }

	Prim_Disc(){}
	Prim_Disc(
	unsigned int detId,			  float radius,
	float posX,    float posY,    float posZ,
	float dirX,	   float dirY,    float dirZ,
	unsigned short nPhi = 10):
	BaseColl_Id(detId),
	Radius(radius),
	PosX(posX),			PosY(posY),			PosZ(posZ),
	DirX(dirX),			DirY(dirY),			DirZ(dirZ),
	NPhi(nPhi){}


	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(34);
		toReturn.putUInt(detId_);
		toReturn.putFloat(Radius);
		toReturn.putFloat(PosX);
		toReturn.putFloat(PosY);
		toReturn.putFloat(PosZ);
		toReturn.putFloat(DirX);
		toReturn.putFloat(DirY);
		toReturn.putFloat(DirZ);
		toReturn.putUShort(NPhi);
		return toReturn;	
	}
};

}//FROG Namespace
#endif

