#ifndef _FROG_Prim_PARTIALSPHERE_H__
#define _FROG_Prim_PARTIALSPHERE_H__

#include "Base.h"

namespace FROG{

class Prim_PartialSphere : public BaseColl_Id {
public :
	float Radius;
	float PosX;			 float PosY;    float PosZ;	
	float Phi1;			 float Phi2;	
	float Theta1;		 float Theta2;	
	unsigned short NPhi; unsigned short NTheta;	float ROT;
	
	virtual unsigned int chunkId(){ return 41031;}
	virtual bool isCompactible(){ return true; }

	Prim_PartialSphere(){}
	Prim_PartialSphere(
	unsigned int detId,		float radius,
	float posX,				float posY,    float posZ,
	float phi1,				float phi2,
	float theta1,			float theta2,
	unsigned short nPhi=10, unsigned short nTheta=5, float rot=0) :
	BaseColl_Id(detId),
	Radius(radius),
	PosX(posX),			PosY(posY),			PosZ(posZ),
	Phi1(phi1),			Phi2(phi2),
	Theta1(theta1),		Theta2(theta2),
	NPhi(nPhi),			NTheta(nTheta), ROT(rot){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(44);
		toReturn.putUInt(detId_);
		toReturn.putFloat(Radius);
		toReturn.putFloat(PosX);
		toReturn.putFloat(PosY);
		toReturn.putFloat(PosZ);
		toReturn.putFloat(Phi1);
		toReturn.putFloat(Phi2);
		toReturn.putFloat(Theta1);
		toReturn.putFloat(Theta2);
		toReturn.putUShort(NPhi);
		toReturn.putUShort(NTheta);
		toReturn.putFloat(ROT);
		return toReturn;	
	}
};

}//FROG Namespace
#endif
