#ifndef _FROG_Prim_SPHERE_H__
#define _FROG_Prim_SPHERE_H__

#include "Base.h"

namespace FROG{

class Prim_Sphere : public BaseColl_Id {
public :
	float Radius;
	float PosX;			 float PosY;    float PosZ;	
	unsigned short NPhi; unsigned short NTheta;	
	
	virtual unsigned int chunkId(){ return 41030;}
	virtual bool isCompactible(){ return true; }

	Prim_Sphere(){}
	Prim_Sphere(
	unsigned int detId,		float radius,
	float posX,				float posY,    float posZ,
	unsigned short nPhi=10, unsigned short nTheta=5) :
	BaseColl_Id(detId),
	Radius(radius),
	PosX(posX),			PosY(posY),			PosZ(posZ),
	NPhi(nPhi),			NTheta(nTheta){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(24);
		toReturn.putUInt(detId_);
		toReturn.putFloat(Radius);
		toReturn.putFloat(PosX);
		toReturn.putFloat(PosY);
		toReturn.putFloat(PosZ);
		toReturn.putUShort(NPhi);
		toReturn.putUShort(NTheta);
		return toReturn;	
	}
};

}//FROG Namespace
#endif

