/***********************************************************************
**                                                                    **
**          /----------------------------------------------\          **
**         |  Delphes, a framework for the fast simulation  |         **
**         |       of a  generic collider experiment        |         **
**          \-------------  arXiv:0903.2225v1  ------------/          **
**                                                                    **
**                                                                    **
**   This package uses:                                               **
**   ------------------                                               **
**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
**   FROG: [hep-ex/0901.2718v1]                                       **
**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
**                                                                    **
** ------------------------------------------------------------------ **
**                                                                    **
**   Main authors:                                                    **
**   -------------                                                    **
**                                                                    **
**                Severine Ovyn                Xavier Rouby           **
**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
**                                                                    **
**         Center for Particle Physics and Phenomenology (CP3)        **
**                Universite catholique de Louvain (UCL)              **
**                     Louvain-la-Neuve, Belgium                      **
**                                                                    **
**                      Copyright (C) 2008-2009,                      **
**                        All rights reserved.                        **
**                                                                    **
***********************************************************************/

#include "interface/TreeClasses.h"


#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class NUMLEPT;
#pragma link C++ class LEPT1;
#pragma link C++ class LEPT2;
#pragma link C++ class LEPT3;
#pragma link C++ class NUMBJET;
#pragma link C++ class BJET1;
#pragma link C++ class BJET2;
#pragma link C++ class BJET3;
#pragma link C++ class JET1;
#pragma link C++ class JET2;
#pragma link C++ class JET3;
#pragma link C++ class RECW;
#pragma link C++ class RECH;
#pragma link C++ class RECZ;
#pragma link C++ class HWWT;
#pragma link C++ class VSUM;
#pragma link C++ class NUMJET;
#pragma link C++ class HFENERGY;
#pragma link C++ class PTMIS;
#pragma link C++ class TRACK;
#pragma link C++ class TRACKhbb;
#pragma link C++ class TRACKOF;
#pragma link C++ class ASYM;
#pragma link C++ class ETASEP;
#pragma link C++ class TWOLEPTON;

#pragma link C++ class RESOLJET;
#pragma link C++ class RESOLELEC;
#pragma link C++ class RESOLMUON;
#pragma link C++ class TAUHAD;
#pragma link C++ class ETMIS;

#endif
